Subject: Re: [PATCH 7/7] push: document --lockref

From: Jonathan Nieder <[email-masked]>
Date: Sun, 14 Jul 2013 13:34:03 -0700

Johannes Sixt wrote:

> Sorry, IMO, this goes into a totally wrong direction, in particular, I
> think that this is going to close to door to make --lockref the default
> some day in a way that helps everyone.

Would a '*' that acts like --lockref on a per ref basis address your
concerns?

I realize that that design would hurt a project of making '+' use
lockref automatically some day.  I think that's ok, and that '+'
meaning "push whatever I have, regardless of what's on the other end,
and I mean it" would be better semantics in the long term (which
doesn't match the current behavior either :/).

Jonathan